Bug 196067 - kdegraphics-3.5.3-0.1.fc5 omissions (kgamma, ksvg, kuickshow, etc...)
kdegraphics-3.5.3-0.1.fc5 omissions (kgamma, ksvg, kuickshow, etc...)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdegraphics (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-20 15:12 EDT by Tom
Modified: 2009-05-30 12:34 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-23 08:10:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix the kdegraphics package build missing kuickshow (350 bytes, patch)
2006-06-21 02:03 EDT, Daigoro Toyama
no flags Details | Diff
list of files changed/missing in kdegraphics 3.5.3 (2.42 KB, text/plain)
2006-06-21 10:10 EDT, Chris Schanzle
no flags Details
Fix the lack of SVG support + kuickshow (377 bytes, patch)
2006-06-21 19:42 EDT, Daigoro Toyama
no flags Details | Diff
Patch to include all the missing components from kdegraphics-3.5.3 (747 bytes, patch)
2006-06-23 00:17 EDT, Daigoro Toyama
no flags Details | Diff

  None (edit)
Description Tom 2006-06-20 15:12:08 EDT
Description of problem:
Kuickshow not included in kdegraphics-3.5.3-0.1.fc5

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Update to kdegraphics-3.5.3-0.1.fc5
2.
3.
  
Actual results:
No Kuickshow installed

Expected results:
Kuickshow installed

Additional info:
I see Kuickshow statements in the source rpm, but no Kuickview in the actual
package.
Comment 1 Daigoro Toyama 2006-06-21 00:24:07 EDT
Same here. Updated to KDE 3.5.3 and cannot find kuickview anymore.
Comment 2 Daigoro Toyama 2006-06-21 02:03:29 EDT
Created attachment 131249 [details]
Patch to fix the kdegraphics package build missing kuickshow

The spec file for kdegraphics-3.5.3 does not require "imlib-devel," but without
it kdegraphics does not compile in kuickshow. I added "BuildRequires:
imlib-devel" to kdegraphics.spec and created a patch file, attached here. This
should fix the build problem. I rebuilt the kdegraphics-3.5.3 rpm with this new
spec file. It	correctly compiled and installed kuickshow.
Comment 3 Marcin Garski 2006-06-21 06:49:31 EDT
Please fix this quickly.
Comment 4 Chris Schanzle 2006-06-21 10:10:32 EDT
Created attachment 131282 [details]
list of files changed/missing in kdegraphics 3.5.3
Comment 5 Chris Schanzle 2006-06-21 10:15:39 EDT
The above attachement lists all files changed between 3.5.2 and 3.5.3 packages
(only one new added, rest are 'missing' files).  In particular, these binaries
are missing:

/usr/bin/kuickshow
/usr/bin/printnodetest
/usr/bin/svgdisplay
/usr/bin/xf86gammacfg

And it seems the SVG graphics support is gone (or it moved; I haven't checked).
Comment 6 Daigoro Toyama 2006-06-21 18:26:32 EDT
Marcin,

You can use the attached patch file to rebuild the kdegraphics SRPM while
waiting for the official fix.

Chris,

The patch file I've attached revived "xf86gammacfg" as well "kuickshow," but not
the other two.... FYI.
Comment 7 Daigoro Toyama 2006-06-21 19:42:20 EDT
Created attachment 131326 [details]
Fix the lack of SVG support + kuickshow

This new patch to kdegraphics.spec should fix both the lack of kuickshow and
SVG support in KDE 3.5.3
Comment 8 Rex Dieter 2006-06-22 15:32:39 EDT
In particular, here's what I see for missing BR's:

# kgamma needs
BuildRequires: libXxf86vm-devel
# kpdf needs
BuildRequires: freetype-devel poppler-devel
# ksvg needs
BuildRequires: fontconfig-devel lcms-devel libart_lgpl-devel 
# kuickshow needs
BuildRequires: imlib-devel

Comment 9 Daigoro Toyama 2006-06-22 22:53:40 EDT
Hi Rex.

Are you sure poppler-devel is needed for kpdf? The package I rebuilt without it
does include kpdf. In any case, I will re-submit the patch with your addition.
Comment 10 Daigoro Toyama 2006-06-23 00:17:33 EDT
Created attachment 131407 [details]
Patch to include all the missing components from kdegraphics-3.5.3

This should bring back all the missing components to kdegraphics-3.5.3.
Comment 11 Ngo Than 2006-06-23 08:10:52 EDT
kpdf could be built with poppler but this feature is not required.
It's now fixed in 3.5.3-0.2-fc5. This new version will be available in 
FC5-update today.

Many thanks to all for the reports.
Comment 12 Nigel Horne 2009-05-30 12:24:01 EDT
Sill missing in Fedora Core 10
Comment 13 Rex Dieter 2009-05-30 12:34:44 EDT
Those are all kde3-only apps, not included in or ported to kde4 (yet)

Note You need to log in before you can comment on or make changes to this bug.